package fstree

import (
	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/util"
)

// Open implements common.Storage.
func (t *FSTree) Open(ro bool) error {
	t.readOnly = ro
	t.metrics.SetMode(ro)
	return nil
}

// Init implements common.Storage.
func (t *FSTree) Init() error {
	return util.MkdirAllX(t.RootPath, t.Permissions)
}

// Close implements common.Storage.
func (t *FSTree) Close() error {
	t.metrics.Close()
	return nil
}
